io.vertx.rxjava3.core.file

## Class FileProps

- java.lang.Object
- - io.vertx.rxjava3.core.file.FileProps

-     public class FileProps
      extends Object

  Represents properties of a file on the file system.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<FileProps>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileProps(FileProps delegate)`
    `FileProps(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `creationTime()` The date the file was created
    `boolean` | `equals(Object o)`
    `FileProps` | `getDelegate()`
    `int` | `hashCode()`
    `boolean` | `isDirectory()` Is the file a directory?
    `boolean` | `isOther()` Is the file some other type? (I.e.
    `boolean` | `isRegularFile()` Is the file a regular file?
    `boolean` | `isSymbolicLink()` Is the file a symbolic link?
    `long` | `lastAccessTime()` The date the file was last accessed
    `long` | `lastModifiedTime()` The date the file was last modified
    `static FileProps` | `newInstance(FileProps arg)`
    `long` | `size()` The size of the file, in bytes
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<FileProps> __TYPE_ARG

  - ### Constructor Detail

    - #### FileProps

          public FileProps(FileProps delegate)

    - #### FileProps

          public FileProps(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public FileProps getDelegate()

    - #### creationTime

          public long creationTime()

      The date the file was created
      Returns:

    - #### lastAccessTime

          public long lastAccessTime()

      The date the file was last accessed
      Returns:

    - #### lastModifiedTime

          public long lastModifiedTime()

      The date the file was last modified
      Returns:

    - #### isDirectory

          public boolean isDirectory()

      Is the file a directory?
      Returns:

    - #### isOther

          public boolean isOther()

      Is the file some other type? (I.e. not a directory, regular file or symbolic link)
      Returns:

    - #### isRegularFile

          public boolean isRegularFile()

      Is the file a regular file?
      Returns:

    - #### isSymbolicLink

          public boolean isSymbolicLink()

      Is the file a symbolic link?
      Returns:

    - #### size

          public long size()

      The size of the file, in bytes
      Returns:

    - #### newInstance

          public static FileProps newInstance(FileProps arg)

Copyright © 2024 Eclipse. All rights reserved.